# Uses of Class
org.apache.lucene.monitor.PresearcherMatches

- ## Uses of PresearcherMatches in org.apache.lucene.monitor

  Methods in org.apache.lucene.monitor that return PresearcherMatches
  Modifier and Type
  Method
  Description
  `<T extends QueryMatch>
  PresearcherMatches<T>`
  Monitor.`debug(Document[] docs, MatcherFactory<T> factory)`
  Match a DocumentBatch against the queries stored in the Monitor, also returning information about which queries were selected by the presearcher, and why.
  `<T extends QueryMatch>
  PresearcherMatches<T>`
  Monitor.`debug(Document doc, MatcherFactory<T> factory)`
  Match a single `Document` against the queries stored in the Monitor, also returning information about which queries were selected by the presearcher, and why.